Skip to main content
POST
/
disconnect-entity
JavaScript
import Finch from '@tryfinch/finch-api';

const client = new Finch({
  accessToken: 'My Access Token',
});

const disconnectEntityResponse = await client.account.disconnectEntity({
  entity_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a', '5e6f7a8b-9c10-4d11-a12b-c13d14e15f16'],
});

console.log(disconnectEntityResponse.status);
{
  "status": "success"
}
Disconnection is scoped to the entity_id(s) provided in the request body. The entity(s) must belong to the connection associated with the access_token used to call this endpoint. All other entities linked to the same connection remain active and unaffected. If you need to disconnect all entities under a connection at once, use the Disconnect endpoint instead.

Authorizations

Authorization
string
header
required

Please use your Access Token

Headers

Finch-API-Version
string<date>
default:2020-09-17
required

Header used to specify the version for a given API request. Current version is 2020-09-17.

Pattern: ([12]\d{3}-(0[1-9]|1[0-2])-(0[1-9]|[12]\d|3[01]))

Body

application/json
entity_ids
string<uuid>[]
required

Array of entity UUIDs to disconnect. At least one entity ID must be provided.

Minimum array length: 1

Response

OK

status
string
required

If the request is successful, Finch will return "success" (HTTP 200 status).